List deployments
curl --request GET \
--url https://api.coreweave.com/v1alpha1/inference/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coreweave.com/v1alpha1/inference/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coreweave.com/v1alpha1/inference/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"spec": {
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
],
"concurrency": 123
},
"traffic": {
"weight": 123
},
"organizationId": "<string>",
"disabled": true,
"hotLoad": {
"bucket": "<string>",
"transitionMode": 123,
"pathPrefix": "<string>"
}
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "STATUS_UNSPECIFIED",
"conditions": [
{
"type": "<string>",
"status": "STATUS_UNSPECIFIED",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
]
}
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List deployments
Fetch every deployment the caller can read, with optional gateway and updatedAfter filters.
GET
/
v1alpha1
/
inference
/
deployments
List deployments
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
parentGatewayId: limit results to deployments associated with this gateway ID.updatedAfter: ISO-8601 timestamp; results are limited to deployments updated after this time.
Example request
curl -X GET https://api.coreweave.com/v1alpha1/inference/deployments \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}"
인증
CoreWeave API access token sent as a bearer token.
쿼리 매개변수
The ID of the parent gateway to filter deployments by
Filter by those updated after this timestamp
응답
OK
Response for ListDeployments
The list of deployments
Show child attributes
Show child attributes
마지막 수정일 2026년 9월 30일
이 페이지가 도움이 되었나요?